Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Нейроаналитик DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • 🚧 [Experimental] Get editor chart
        • Delete editor chart
        • 🚧 [Experimental] Create editor chart
        • 🚧 [Experimental] Update editor chart
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • CreateEditorTableNodeEntry
  • CreateEditorGravityChartsNodeEntry
  • CreateEditorMarkdownNodeEntry
  • CreateEditorAdvancedChartNodeEntry
  • CreateEditorSelectorNodeEntry
  • EntryLocationIdentifiers
  • Responses
  • 200 OK
  • Body
  • EditorTableNode
  • EditorGravityChartsNode
  • EditorMarkdownNode
  • EditorAdvancedChartNode
  • EditorSelectorNode
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Editor
  4. 🚧 [Experimental] Create editor chart
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
    • CreateEditorTableNodeEntry
    • CreateEditorGravityChartsNodeEntry
    • CreateEditorMarkdownNodeEntry
    • CreateEditorAdvancedChartNodeEntry
    • CreateEditorSelectorNodeEntry
    • EntryLocationIdentifiers
  • Responses
  • 200 OK
    • Body
    • EditorTableNode
    • EditorGravityChartsNode
    • EditorMarkdownNode
    • EditorAdvancedChartNode
    • EditorSelectorNode

🚧 [Experimental] Create editor chart

Creates the specified Editor chart.

RequestRequest

POST

https://api.datalens.tech/rpc/createEditorChart

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "entry": {
    "meta": {},
    "links": {},
    "annotation": {
      "description": "example"
    },
    "type": "table_node",
    "data": {
      "meta": "example",
      "params": "example",
      "sources": "example",
      "controls": "example",
      "prepare": "example",
      "config": "example"
    },
    "key": "example",
    "workbookId": "example",
    "name": "example"
  }
}

Name

Description

entry

All of 2 types
  • One of 5 types
    • Type: CreateEditorTableNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "table_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example",
          "config": "example"
        }
      }
      
    • Type: CreateEditorGravityChartsNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "d3_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example",
          "config": "example"
        }
      }
      
    • Type: CreateEditorMarkdownNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "markdown_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example"
        }
      }
      
    • Type: CreateEditorAdvancedChartNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "advanced-chart_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example",
          "prepare": "example"
        }
      }
      
    • Type: CreateEditorSelectorNodeEntry

      Example
      {
        "meta": {},
        "links": {},
        "annotation": {
          "description": "example"
        },
        "type": "control_node",
        "data": {
          "meta": "example",
          "params": "example",
          "sources": "example",
          "controls": "example"
        }
      }
      
    Example
    {
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "table_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EntryLocationIdentifiers

    Example
    {
      "key": "example",
      "workbookId": "example",
      "name": "example"
    }
    
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  },
  "key": "example",
  "workbookId": "example",
  "name": "example"
}

CreateEditorTableNodeEntryCreateEditorTableNodeEntry

Name

Description

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

type

Type: string

For Table Editor charts takes value: table_node

Const: table_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

CreateEditorGravityChartsNodeEntryCreateEditorGravityChartsNodeEntry

Name

Description

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

type

Type: string

For D3 Editor charts takes value: d3_node

Const: d3_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "d3_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

CreateEditorMarkdownNodeEntryCreateEditorMarkdownNodeEntry

Name

Description

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

type

Type: string

For Markdown Editor charts takes value: markdown_node

Const: markdown_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "markdown_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

CreateEditorAdvancedChartNodeEntryCreateEditorAdvancedChartNodeEntry

Name

Description

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

type

Type: string

For Advanced Editor charts takes value: advanced-chart_node

Const: advanced-chart_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "advanced-chart_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

CreateEditorSelectorNodeEntryCreateEditorSelectorNodeEntry

Name

Description

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example"
}

type

Type: string

For Editor JS selectors takes value: control_node

Const: control_node

Example: example

annotation

Type: object

description

Type: string

Description of the entry.

Example: example

Annotation information.

Example
{
  "description": "example"
}

links

Type: object

[additional]

Type: string

Example: example

Link information.

Example
{}

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the entry.

Example
{}
Example
{
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "control_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example"
  }
}

EntryLocationIdentifiersEntryLocationIdentifiers

Name

Description

key

Type: string

Entry key when creating the entry in a folder.

Example: example

name

Type: string

Entry name when creating the entry in a workbook.

Example: example

workbookId

Type: string

ID of the workbook where the entry should be created.

Example: example

Example
{
  "key": "example",
  "workbookId": "example",
  "name": "example"
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entry": {
    "version": 1,
    "entryId": "example",
    "key": null,
    "createdAt": "example",
    "createdBy": "example",
    "updatedAt": "example",
    "updatedBy": "example",
    "revId": "example",
    "savedId": "example",
    "publishedId": "example",
    "tenantId": "example",
    "hidden": true,
    "public": true,
    "workbookId": null,
    "scope": "widget",
    "meta": {},
    "links": {},
    "annotation": {
      "description": "example"
    },
    "type": "table_node",
    "data": {
      "meta": "example",
      "params": "example",
      "sources": "example",
      "controls": "example",
      "prepare": "example",
      "config": "example"
    }
  }
}

Name

Description

entry

One of 5 types
  • Type: EditorTableNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "table_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorGravityChartsNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "d3_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorMarkdownNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "markdown_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorAdvancedChartNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "advanced-chart_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorSelectorNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "control_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example"
      }
    }
    
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorTableNodeEditorTableNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Table Editor charts takes value: table_node

Const: table_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorGravityChartsNodeEditorGravityChartsNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For D3 Editor charts takes value: d3_node

Const: d3_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "d3_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorMarkdownNodeEditorMarkdownNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Markdown Editor charts takes value: markdown_node

Const: markdown_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "markdown_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorAdvancedChartNodeEditorAdvancedChartNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Advanced Editor charts takes value: advanced-chart_node

Const: advanced-chart_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "advanced-chart_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorSelectorNodeEditorSelectorNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Editor JS selectors takes value: control_node

Const: control_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "control_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example"
  }
}

Была ли статья полезна?

Предыдущая
Delete editor chart
Следующая
🚧 [Experimental] Update editor chart
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»